Loading ...
Sorry, an error occurred while loading the content.
 

RE: [PBML] Two Perls

Expand Messages
  • Dhanashri Bhate
    Check the PATH variable, also check if the first line in your Perl program is not pointing to older Perl version ( e.g #! /usr/bin/perl)   hope this helps.
    Message 1 of 5 , Nov 20, 2008
      Check the PATH variable, also check if the first line in your Perl program is not pointing to older Perl version ( e.g #! /usr/bin/perl)
       
      hope this helps.

       

      --- On Thu, 11/20/08, Dukelow, Don <dukelow@...> wrote:

      From: Dukelow, Don <dukelow@...>
      Subject: RE: [PBML] Two Perls
      To: "perl-beginner@yahoogroups.com" <perl-beginner@yahoogroups.com>
      Date: Thursday, November 20, 2008, 9:12 AM






      As a follow up!

      I put this line in my .profile.
      export PERL5LIB=/home/ dciproj/usr/ site/lib: /home/dciproj/ usr/lib

      and excited my command again and got

      get_switch.pl
      Perl lib version (5.10.0) doesn't match executable version (v5.8.4) at /home/dciproj/ usr/lib/Config. pm line 46.
      Compilation failed in require at /home/dciproj/ usr/lib/File/ Copy.pm line 14.
      BEGIN failed--compilation aborted at /home/dciproj/ usr/lib/File/ Copy.pm line 14.
      Compilation failed in require at /0b/lhome/dciproj/ DCI/scripts/ get_switch. pl line 5.
      BEGIN failed--compilation aborted at /0b/lhome/dciproj/ DCI/scripts/ get_switch. pl line 5.

      Where is it picking up the old Perl version?

      -----
      Don Dukelow
      HP/GM GSC33 License Team
      Tel: 810-728-3388
      e-mail: dukelow@...

      ____________ _________ _________ __
      From: perl-beginner@ yahoogroups. com [mailto:perl-beginner@ yahoogroups. com] On Behalf Of Dhanashri Bhate
      Sent: Thursday, November 20, 2008 9:20 AM
      To: perl-beginner@ yahoogroups. com
      Subject: Re: [PBML] Two Perls

      The order of the entries in @INC tells you the order in which modules will be chosen.
      So you just need to make sure the directory where your new modules exist is in @INC before the path its using now.

      --- On Thu, 11/20/08, Dukelow, Don <dukelow@...<mailto:dukelow% 40hp.com> > wrote:

      From: Dukelow, Don <dukelow@...<mailto:dukelow% 40hp.com> >
      Subject: [PBML] Two Perls
      To: "perl-beginner@ yahoogroups. com<mailto:perl- beginner% 40yahoogroups. com>" <perl-beginner@ yahoogroups. com<mailto:perl- beginner% 40yahoogroups. com>>
      Date: Thursday, November 20, 2008, 7:34 AM

      For varies reasons I had to install my own version of Perl. But when I run a script it still looks in the other version library file for modules. What do I red to fix this?

      -----
      Don Dukelow
      HP/GM GSC33 License Team
      e-mail: dukelow@...<mailto:dukelow% 40hp.com>

      [Non-text portions of this message have been removed]

      [Non-text portions of this message have been removed]


















      [Non-text portions of this message have been removed]
    Your message has been successfully submitted and would be delivered to recipients shortly.